PG_ENC(1)

NAME
pg_enc - AES256 password encryption utility

SYNOPSIS

pg_enc [option...] -p

pg_enc [option...] password

DESCRIPTION

pg_enc AES256 password encryption utility.

OPTIONS

-k KEY_FILE
--key-file=KEY_FILE
    Set the path to the encryption key file. Default is the .pgpoolkey file located in the users home directory.

-K ENCRYPTION_KEY
--enc-key=ENCRYPTION_KEY
    Encryption key to be used for encrypting database passwords.

-f CONFIG_FILE
--config-file=CONFIG_FILE
    Specifies the pgpool.conf file.

-p
--prompt
    Prompt for database password using standard input.

-P
--prompt-for-key
    Prompt for encryption key using standard input.

-m
--update-pass
    Create encrypted password entry in the pool_passwd file.

-u your_username
--username=your_username
    Creates the pool_passwd entry for the database user called your_username.

-h
--help
    Prints the help for pg_enc.

EXAMPLE

Here is an example output:

        pg_enc -p
        db password: [your password]

or

       ./pg_enc foo
       trying to read key from file /home/pgpool/.pgpoolkey

       jglid1QRgiCl/vfhHUDyVA==
       pool_passwd string: AESjglid1QRgiCl/vfhHUDyVA==

pg_enc can be used for pool_passwd passwords with:

        pg_enc -m -f /path/to/pgpool.conf -u username -p
        db password: [your password]

which will add an entry for username with the password given.